import { FireEnjinSubmitEvent, FireEnjinTriggerInput, FireEnjinFetchEvent } from "@fireenjin/sdk";
import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { InvoiceType } from "../../../interfaces";
export declare class AppScope implements ComponentInterface {
  invoiceTypes: {
    label: string;
    value: InvoiceType;
  }[];
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  floodteamOpenModal: EventEmitter<{
    component: string;
    componentProps?: any;
    cssClass?: string;
  }>;
  floodteamOpenPopover: EventEmitter<{
    component: string;
    componentProps?: any;
    cssClass?: string;
    event?: any;
  }>;
  jobId: string;
  invoiceType: InvoiceType;
  attachments: string[];
  fetchJob(): Promise<void>;
  openSendEfileModal(event: any): Promise<void>;
  sendEmail(event: any, userId: any): Promise<void>;
  generatePdf(templateId: any, filename?: string): Promise<void>;
  send(event: any): Promise<void>;
  onChange(event: any): void;
  componentDidLoad(): Promise<void>;
  disconnectedCallback(): void;
  render(): any[];
}
